#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 29. Introduction to KDE

- Prev

  Phonon-backend-vlc-0.11.2

- Next

  libdbusmenu-qt-0.9.3+16.04.20160218

- Up
- Home

# Polkit-Qt-0.113.0

## Introduction to Polkit-Qt

Polkit-Qt provides an API to PolicyKit in the Qt environment.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/polkit-qt-1/polkit-qt-1-0.113.0.tar.xz

- Download MD5 sum: eae8dfbe16015acf0edfe365bb676e51

- Download size: 64 KB

- Estimated disk space required: 3.0 MB

- Estimated build time: 0.2 SBU

### Polkit-Qt Dependencies

#### Required

CMake-3.19.5, Polkit-0.118, and Qt-5.15.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/polkit-qt

## Installation of Polkit-Qt

Install Polkit-Qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of the compiler optimizations.

## Contents

Installed Programs: none
Installed Libraries: libpolkit-qt5-agent-1.so, libpolkit-qt5-core-1.so, and libpolkit-qt5-gui-1.so
Installed Directories: /usr/include/polkit-qt5-1 and /usr/lib/cmake/PolkitQt5-1

Last updated on 2021-02-24 09:27:02 -0800

- Prev

  Phonon-backend-vlc-0.11.2

- Next

  libdbusmenu-qt-0.9.3+16.04.20160218

- Up
- Home